package main

import (
	"fmt"

	"dubbo.apache.org/dubbo-go/v3/config"

	_ "dubbo.apache.org/dubbo-go/v3/imports"
	"github.com/fonchain/fonchain-artistinfo/cmd/internal/controller"

	"github.com/fonchain/fonchain-artistinfo/pkg/cache"
	db "github.com/fonchain/fonchain-artistinfo/pkg/db"
	"github.com/fonchain/fonchain-artistinfo/pkg/m"
)

// export DUBBO_GO_CONFIG_PATH= PATH_TO_SAMPLES/helloworld/go-server/conf/dubbogo.yaml
func main() {
	fmt.Println("第一处")
	config.SetProviderService(&controller.ArtistInfoUserProvider{})
	config.SetProviderService(&controller.ArtistInfoArtworkProvider{})
	config.SetProviderService(&controller.ArtistInfoArtshowProvider{})
	//config.SetProviderService(&controller.ContractProvider{})
	//config.SetProviderService(&controller.ArtWorkProvider{})
	//config.SetProviderService(&controller.SupplyProvider{})
	db.Init(m.SERVER_CONFIG)
	cache.InitRedis(m.SERVER_CONFIG)
	if err := config.Load(); err != nil {
		panic(err)
	}
	select {}
}
